package com.zxhl.main.page.contract

import com.zxhl.cms.net.model.box.BoxInfoEntity
import com.zxhl.cms.net.model.box.MarqueeEntity
import com.zxhl.cms.net.model.box.PropsCardList


class GoodsDetailContract {
    interface View {
        fun setBoxInfoData(reslut: BoxInfoEntity)
        fun setMarqueeData(reslut: List<MarqueeEntity>?)
        fun setPropsCardList(reslut: PropsCardList?)
    }

    interface Presenter {
        fun getBoxInfo(boxId: String?)
        fun getBoxMarquee(boxId: String?)
        fun getPropsCardList(boxId: String?)
    }

}